Bug 186579 - Fix for building graphics/picpuz on FreeBSD-11.X
Summary: Fix for building graphics/picpuz on FreeBSD-11.X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-09 06:40 UTC by devel
Modified: 2014-02-18 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.18 KB, patch)
2014-02-09 06:40 UTC, devel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description devel 2014-02-09 06:40:00 UTC
Fix for building graphics/picpuz where gss is not installed.

Fix: Patch attached with submission follows:
How-To-Repeat: http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-02-06_22h28m10s/logs/picpuz-2.1.1_5.log
Comment 1 Pawel Pekala freebsd_committer 2014-02-18 18:02:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-02-18 19:25:09 UTC
Author: pawel
Date: Tue Feb 18 19:25:01 2014
New Revision: 344947
URL: http://svnweb.freebsd.org/changeset/ports/344947
QAT: https://qat.redports.org/buildarchive/r344947/

Log:
  - Fix build with clang [1]
  - Support staging
  
  PR:		ports/186579 [1]
  Submitted by:	maintainer
  MFH:		2014Q1

Modified:
  head/graphics/picpuz/Makefile
  head/graphics/picpuz/files/patch-Makefile

Modified: head/graphics/picpuz/Makefile
==============================================================================
--- head/graphics/picpuz/Makefile	Tue Feb 18 19:24:07 2014	(r344946)
+++ head/graphics/picpuz/Makefile	Tue Feb 18 19:25:01 2014	(r344947)
@@ -16,7 +16,7 @@ USE_GNOME=	gtk20
 
 ALL_TARGET=	#
 #RUN_DEPENDS+=	xdg-desktop-menu:${PORTSDIR}/devel/xdg-utils
-LIB_DEPENDS+=	execinfo.1:${PORTSDIR}/devel/libexecinfo
+LIB_DEPENDS+=	libexecinfo.so:${PORTSDIR}/devel/libexecinfo
 DESKTOP_ENTRIES="Picpuz" \
 		"Jigsaw Puzzle" \
 		"${PREFIX}/share/pixmaps/picpuz.png" \
@@ -24,5 +24,8 @@ DESKTOP_ENTRIES="Picpuz" \
 		"Graphics;Game;GTK;" \
 		true
 
-NO_STAGE=	yes
+post-install:
+	(cd ${STAGEDIR}${PREFIX}/share/pixmaps && \
+		${LN} -s ${DATADIR}/icons/picpuz.png .)
+
 .include <bsd.port.mk>

Modified: head/graphics/picpuz/files/patch-Makefile
==============================================================================
--- head/graphics/picpuz/files/patch-Makefile	Tue Feb 18 19:24:07 2014	(r344946)
+++ head/graphics/picpuz/files/patch-Makefile	Tue Feb 18 19:25:01 2014	(r344947)
@@ -1,5 +1,5 @@
---- Makefile.orig	2009-10-29 14:38:40.000000000 +0600
-+++ Makefile	2010-01-04 19:55:10.000000000 +0600
+--- Makefile.orig	2009-10-29 09:38:40.000000000 +0100
++++ Makefile	2014-02-18 19:19:51.140331100 +0100
 @@ -6,7 +6,7 @@
  
  # replace CFLAGS and LFLAGS -O (oh) with -g for GDB debugging
@@ -9,7 +9,25 @@
  
  # use $PREFIX if defined, else assume /usr/local
  ifeq "$(PREFIX)" ""
-@@ -39,15 +39,16 @@
+@@ -19,14 +19,14 @@
+ DESKTOP = $(DATADIR)/kornelix-$(PROGRAM).desktop
+ 
+ $(PROGRAM): $(PROGRAM).o zfuncs.o
+-	@ g++ $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o
++	@ ${CXX} $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o
+ 
+ $(PROGRAM).o: $(SOURCE) zfuncs.h
+-	@ g++ $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
++	@ ${CXX} $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
+ 	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\""
+ 
+ zfuncs.o: zfuncs.cpp zfuncs.h
+-	@ g++ $(CFLAGS) zfuncs.cpp	\
++	@ ${CXX} $(CFLAGS) zfuncs.cpp	\
+ 	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\"" -D "BINDIR=\"$(BINDIR)\""
+ 
+ install: $(PROGRAM)
+@@ -39,15 +39,15 @@
  	cp $(PROGRAM) $(DESTDIR)$(BINDIR)
  	cp -R locales/* $(DESTDIR)$(DATADIR)/locales
  	#  install .desktop file (menu entry)
@@ -22,7 +40,6 @@
 -	@echo "Icon=$(DATADIR)/icons/$(PROGRAM).png" >> $(DESKTOP)
 -	@echo "GenericName=Jigsaw Puzzle" >> $(DESKTOP)
 -	xdg-desktop-menu install $(DESKTOP)
-+	ln -s $(DESTDIR)$(DATADIR)/icons/picpuz.png ${PREFIX}/share/pixmaps/picpuz.png
 +#	@echo "[Desktop Entry]" > $(DESKTOP)
 +#	@echo "Name=$(PROGRAM)" >> $(DESKTOP)
 +#	@echo "Categories=Game" >> $(DESKTOP)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2014-02-18 19:25:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-02-18 20:03:46 UTC
Author: pawel
Date: Tue Feb 18 20:03:38 2014
New Revision: 344953
URL: http://svnweb.freebsd.org/changeset/ports/344953
QAT: https://qat.redports.org/buildarchive/r344953/

Log:
  MFH: r344947
  
  - Fix build with clang [1]
  - Support staging
  
  PR:		ports/186579 [1]
  Submitted by:	maintainer
  Approved by:	portmgr (erwin)

Modified:
  branches/2014Q1/graphics/picpuz/Makefile
  branches/2014Q1/graphics/picpuz/files/patch-Makefile
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/graphics/picpuz/Makefile
==============================================================================
--- branches/2014Q1/graphics/picpuz/Makefile	Tue Feb 18 19:45:31 2014	(r344952)
+++ branches/2014Q1/graphics/picpuz/Makefile	Tue Feb 18 20:03:38 2014	(r344953)
@@ -16,7 +16,7 @@ USE_GNOME=	gtk20
 
 ALL_TARGET=	#
 #RUN_DEPENDS+=	xdg-desktop-menu:${PORTSDIR}/devel/xdg-utils
-LIB_DEPENDS+=	execinfo.1:${PORTSDIR}/devel/libexecinfo
+LIB_DEPENDS+=	libexecinfo.so:${PORTSDIR}/devel/libexecinfo
 DESKTOP_ENTRIES="Picpuz" \
 		"Jigsaw Puzzle" \
 		"${PREFIX}/share/pixmaps/picpuz.png" \
@@ -24,5 +24,8 @@ DESKTOP_ENTRIES="Picpuz" \
 		"Graphics;Game;GTK;" \
 		true
 
-NO_STAGE=	yes
+post-install:
+	(cd ${STAGEDIR}${PREFIX}/share/pixmaps && \
+		${LN} -s ${DATADIR}/icons/picpuz.png .)
+
 .include <bsd.port.mk>

Modified: branches/2014Q1/graphics/picpuz/files/patch-Makefile
==============================================================================
--- branches/2014Q1/graphics/picpuz/files/patch-Makefile	Tue Feb 18 19:45:31 2014	(r344952)
+++ branches/2014Q1/graphics/picpuz/files/patch-Makefile	Tue Feb 18 20:03:38 2014	(r344953)
@@ -1,5 +1,5 @@
---- Makefile.orig	2009-10-29 14:38:40.000000000 +0600
-+++ Makefile	2010-01-04 19:55:10.000000000 +0600
+--- Makefile.orig	2009-10-29 09:38:40.000000000 +0100
++++ Makefile	2014-02-18 19:19:51.140331100 +0100
 @@ -6,7 +6,7 @@
  
  # replace CFLAGS and LFLAGS -O (oh) with -g for GDB debugging
@@ -9,7 +9,25 @@
  
  # use $PREFIX if defined, else assume /usr/local
  ifeq "$(PREFIX)" ""
-@@ -39,15 +39,16 @@
+@@ -19,14 +19,14 @@
+ DESKTOP = $(DATADIR)/kornelix-$(PROGRAM).desktop
+ 
+ $(PROGRAM): $(PROGRAM).o zfuncs.o
+-	@ g++ $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o
++	@ ${CXX} $(LFLAGS) -o $(PROGRAM) $(PROGRAM).o zfuncs.o
+ 
+ $(PROGRAM).o: $(SOURCE) zfuncs.h
+-	@ g++ $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
++	@ ${CXX} $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
+ 	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\""
+ 
+ zfuncs.o: zfuncs.cpp zfuncs.h
+-	@ g++ $(CFLAGS) zfuncs.cpp	\
++	@ ${CXX} $(CFLAGS) zfuncs.cpp	\
+ 	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\"" -D "BINDIR=\"$(BINDIR)\""
+ 
+ install: $(PROGRAM)
+@@ -39,15 +39,15 @@
  	cp $(PROGRAM) $(DESTDIR)$(BINDIR)
  	cp -R locales/* $(DESTDIR)$(DATADIR)/locales
  	#  install .desktop file (menu entry)
@@ -22,7 +40,6 @@
 -	@echo "Icon=$(DATADIR)/icons/$(PROGRAM).png" >> $(DESKTOP)
 -	@echo "GenericName=Jigsaw Puzzle" >> $(DESKTOP)
 -	xdg-desktop-menu install $(DESKTOP)
-+	ln -s $(DESTDIR)$(DATADIR)/icons/picpuz.png ${PREFIX}/share/pixmaps/picpuz.png
 +#	@echo "[Desktop Entry]" > $(DESKTOP)
 +#	@echo "Name=$(PROGRAM)" >> $(DESKTOP)
 +#	@echo "Categories=Game" >> $(DESKTOP)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"